Package org.apache.ignite.internal.cache.query.index.sorted

## Class QueryIndexRowHandler

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.QueryIndexRowHandler

All Implemented Interfaces:
  `InlineIndexRowHandler`

    public class QueryIndexRowHandler
    extends Object
    implements InlineIndexRowHandler

Maps CacheDataRow to IndexRow using columns references.

### Constructor Summary

Constructors
`QueryIndexRowHandler​(GridQueryTypeDescriptor type, GridCacheContextInfo<?,​?> cacheInfo, LinkedHashMap<String,​IndexKeyDefinition> keyDefs, List<InlineIndexKeyType> keyTypes, IndexKeyTypeSettings keyTypeSettings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `cacheKey​(CacheDataRow row)`
`Object` `cacheValue​(CacheDataRow row)`
`IndexKey` `indexKey​(int idx, CacheDataRow row)` Returns index key by specified idx.
`List<IndexKeyDefinition>` `indexKeyDefinitions()`
`IndexKeyTypeSettings` `indexKeyTypeSettings()`
`List<InlineIndexKeyType>` `inlineIndexKeyTypes()`
`int` `partition​(CacheDataRow row)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryIndexRowHandler

    public QueryIndexRowHandler​(GridQueryTypeDescriptor type,
                                GridCacheContextInfo<?,​?> cacheInfo,
                                LinkedHashMap<String,​IndexKeyDefinition> keyDefs,
                                List<InlineIndexKeyType> keyTypes,
                                IndexKeyTypeSettings keyTypeSettings)

### Method Detail

#### indexKey

    public IndexKey indexKey​(int idx,
                             CacheDataRow row)

Returns index key by specified idx.

Specified by:
  `indexKey` in interface `InlineIndexRowHandler`
Parameters:
  `idx` - Index of key within index schema.
  `row` - Original cache data row.
Returns:
  Index key.

#### inlineIndexKeyTypes

    public List<InlineIndexKeyType> inlineIndexKeyTypes()

Specified by:
  `inlineIndexKeyTypes` in interface `InlineIndexRowHandler`
Returns:
  List of key types for inlined index keys.

#### indexKeyDefinitions

    public List<IndexKeyDefinition> indexKeyDefinitions()

Specified by:
  `indexKeyDefinitions` in interface `InlineIndexRowHandler`
Returns:
  List of index key definitions.

#### indexKeyTypeSettings

    public IndexKeyTypeSettings indexKeyTypeSettings()

Specified by:
  `indexKeyTypeSettings` in interface `InlineIndexRowHandler`
Returns:
  Index key type settings.

#### partition

    public int partition​(CacheDataRow row)

Specified by:
  `partition` in interface `InlineIndexRowHandler`
Returns:
  Parition for specified row.

#### cacheKey

    public Object cacheKey​(CacheDataRow row)

Specified by:
  `cacheKey` in interface `InlineIndexRowHandler`
Parameters:
  `row` - Cache row.
Returns:
  Cache key.

#### cacheValue

    public Object cacheValue​(CacheDataRow row)

Specified by:
  `cacheValue` in interface `InlineIndexRowHandler`
Parameters:
  `row` - Cache row.
Returns:
  Cache value.